<?php

App::uses('AttachmentBlock', 'EvTemplates.Model');

class ImageBlock extends AttachmentBlock {

    /**
     * redefine the afterFind to pull the image dimensions into a grouped array
     *
     */
    public function afterFind($results, $primary = false) {
        $results = parent::afterFind($results, $primary);

        if (! empty($results)) {
            foreach ($results as $key => $item) {
                if (! empty($item[$this->alias]['image_width']) && ! empty($item[$this->alias]['image_height'])) {
                    $results[$key][$this->alias]['dimensions'] = array(
                        'width' => $item[$this->alias]['image_width'],
                        'height' => $item[$this->alias]['image_height']
                    );
                }
            }
        }

        return $results;
    }

}
